﻿using System.Runtime.Serialization;

namespace AirBomber
{
    [Serializable]
    internal class AirplaneNotFoundException : ApplicationException
    {
        public AirplaneNotFoundException(int i) : base($"Не найден объект по позиции {i}") { }
        public AirplaneNotFoundException() : base() { }
        public AirplaneNotFoundException(string message) : base(message) { }
        public AirplaneNotFoundException(string message, Exception exception) : base(message, exception) { }
        protected AirplaneNotFoundException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }
    }
}
